Package com.pixelmed.test

# Class TestRepairAttributeValues

java.lang.Object
junit.framework.Assert
junit.framework.TestCase
com.pixelmed.test.TestRepairAttributeValues

All Implemented Interfaces:
  `junit.framework.Test`

public class TestRepairAttributeValues extends junit.framework.TestCase

## Constructor Summary

Constructors
Constructor
Description
`TestRepairAttributeValues(String name)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`setUp()`
`static junit.framework.Test`
`suite()`
`protected void`
`tearDown()`
`void`
`TestRepairAttributeValues_AgeString_BadUnit()`
`void`
`TestRepairAttributeValues_AgeString_GoodDay()`
`void`
`TestRepairAttributeValues_AgeString_GoodMonth()`
`void`
`TestRepairAttributeValues_AgeString_GoodWeek()`
`void`
`TestRepairAttributeValues_AgeString_GoodYear()`
`void`
`TestRepairAttributeValues_AgeString_TooLong()`
`void`
`TestRepairAttributeValues_AgeString_TooShort()`
`void`
`TestRepairAttributeValues_CodeString_ControlCharacter()`
`void`
`TestRepairAttributeValues_CodeString_EmbeddedBadCharacter()`
`void`
`TestRepairAttributeValues_CodeString_Good()`
`void`
`TestRepairAttributeValues_CodeString_TooLong()`
`void`
`TestRepairAttributeValues_CodeString_Trim()`
`void`
`TestRepairAttributeValues_Date_BadPeriods()`
`void`
`TestRepairAttributeValues_Date_BadSlashes()`
`void`
`TestRepairAttributeValues_Date_Good()`
`void`
`TestRepairAttributeValues_Date_TooLong()`
`void`
`TestRepairAttributeValues_Date_TooShort()`
`void`
`TestRepairAttributeValues_DateTime_EmbeddedBadCharacter()`
`void`
`TestRepairAttributeValues_DateTime_GoodWithNoTimezoneAndNoFraction()`
`void`
`TestRepairAttributeValues_DateTime_GoodWithTimezoneAndFullFraction()`
`void`
`TestRepairAttributeValues_DateTime_TooLong()`
`void`
`TestRepairAttributeValues_DecimalString_ControlCharacter()`
`void`
`TestRepairAttributeValues_DecimalString_EmbeddedBadCharacter()`
`void`
`TestRepairAttributeValues_DecimalString_Good()`
`void`
`TestRepairAttributeValues_DecimalString_TooLong()`
`void`
`TestRepairAttributeValues_DecimalString_Trim()`
`void`
`TestRepairAttributeValues_IntegerString_ControlCharacter()`
`void`
`TestRepairAttributeValues_IntegerString_EmbeddedBadCharacter()`
`void`
`TestRepairAttributeValues_IntegerString_Good()`
`void`
`TestRepairAttributeValues_IntegerString_TooLargeAnIntegerValue()`
`void`
`TestRepairAttributeValues_IntegerString_TooLong()`
`void`
`TestRepairAttributeValues_IntegerString_TooSmallAnIntegerValue()`
`void`
`TestRepairAttributeValues_IntegerString_Trim()`
`void`
`TestRepairAttributeValues_LongString_ControlCharacter()`
`void`
`TestRepairAttributeValues_LongString_EmbeddedBackslash()`
`void`
`TestRepairAttributeValues_LongString_Good()`
`void`
`TestRepairAttributeValues_LongString_TooLong()`
`void`
`TestRepairAttributeValues_LongString_Trim()`
`void`
`TestRepairAttributeValues_ShortString_ControlCharacter()`
`void`
`TestRepairAttributeValues_ShortString_EmbeddedBackslash()`
`void`
`TestRepairAttributeValues_ShortString_Good()`
`void`
`TestRepairAttributeValues_ShortString_TooLong()`
`void`
`TestRepairAttributeValues_ShortString_Trim()`
`void`
`TestRepairAttributeValues_ShortText_Good()`
`void`
`TestRepairAttributeValues_ShortText_TooLong()`
`void`
`TestRepairAttributeValues_ShortText_Trim()`
`void`
`TestRepairAttributeValues_Time_BadColons()`
`void`
`TestRepairAttributeValues_Time_Good()`
`void`
`TestRepairAttributeValues_Time_TooLong()`
`void`
`TestRepairAttributeValues_Time_TooShort()`
`void`
`TestRepairAttributeValues_UniqueIdentifier_BadTrailingSpace()`
`void`
`TestRepairAttributeValues_UniqueIdentifier_EmbeddedBadCharacter()`
`void`
`TestRepairAttributeValues_UniqueIdentifier_Good()`
`void`
`TestRepairAttributeValues_UniqueIdentifier_TooLong()`
`void`
`TestRepairAttributeValues_UniqueIdentifier_Trim()`
`void`
`TestRepairAttributeValues_UnlimitedCharacters_ControlCharacter()`
`void`
`TestRepairAttributeValues_UnlimitedCharacters_EmbeddedBackslash()`
`void`
`TestRepairAttributeValues_UnlimitedCharacters_Good()`
`void`
`TestRepairAttributeValues_UnlimitedCharacters_Trim()`

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TestRepairAttributeValues

public TestRepairAttributeValues(String name)

## Method Details

### suite

public static junit.framework.Test suite()

### setUp

protected void setUp()

Overrides:
  `setUp` in class `junit.framework.TestCase`

### tearDown

protected void tearDown()

Overrides:
  `tearDown` in class `junit.framework.TestCase`

### TestRepairAttributeValues_CodeString_Good

public void TestRepairAttributeValues_CodeString_Good() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_CodeString_Trim

public void TestRepairAttributeValues_CodeString_Trim() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_CodeString_TooLong

public void TestRepairAttributeValues_CodeString_TooLong() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_CodeString_ControlCharacter

public void TestRepairAttributeValues_CodeString_ControlCharacter() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_CodeString_EmbeddedBadCharacter

public void TestRepairAttributeValues_CodeString_EmbeddedBadCharacter() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_ShortString_Good

public void TestRepairAttributeValues_ShortString_Good() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_ShortString_Trim

public void TestRepairAttributeValues_ShortString_Trim() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_ShortString_TooLong

public void TestRepairAttributeValues_ShortString_TooLong() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_ShortString_ControlCharacter

public void TestRepairAttributeValues_ShortString_ControlCharacter() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_ShortString_EmbeddedBackslash

public void TestRepairAttributeValues_ShortString_EmbeddedBackslash() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_LongString_Good

public void TestRepairAttributeValues_LongString_Good() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_LongString_Trim

public void TestRepairAttributeValues_LongString_Trim() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_LongString_TooLong

public void TestRepairAttributeValues_LongString_TooLong() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_LongString_ControlCharacter

public void TestRepairAttributeValues_LongString_ControlCharacter() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_LongString_EmbeddedBackslash

public void TestRepairAttributeValues_LongString_EmbeddedBackslash() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_ShortText_Good

public void TestRepairAttributeValues_ShortText_Good() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_ShortText_Trim

public void TestRepairAttributeValues_ShortText_Trim() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_ShortText_TooLong

public void TestRepairAttributeValues_ShortText_TooLong() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_DecimalString_Good

public void TestRepairAttributeValues_DecimalString_Good() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_DecimalString_Trim

public void TestRepairAttributeValues_DecimalString_Trim() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_DecimalString_TooLong

public void TestRepairAttributeValues_DecimalString_TooLong() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_DecimalString_ControlCharacter

public void TestRepairAttributeValues_DecimalString_ControlCharacter() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_DecimalString_EmbeddedBadCharacter

public void TestRepairAttributeValues_DecimalString_EmbeddedBadCharacter() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_IntegerString_Good

public void TestRepairAttributeValues_IntegerString_Good() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_IntegerString_Trim

public void TestRepairAttributeValues_IntegerString_Trim() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_IntegerString_TooLong

public void TestRepairAttributeValues_IntegerString_TooLong() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_IntegerString_TooLargeAnIntegerValue

public void TestRepairAttributeValues_IntegerString_TooLargeAnIntegerValue() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_IntegerString_TooSmallAnIntegerValue

public void TestRepairAttributeValues_IntegerString_TooSmallAnIntegerValue() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_IntegerString_ControlCharacter

public void TestRepairAttributeValues_IntegerString_ControlCharacter() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_IntegerString_EmbeddedBadCharacter

public void TestRepairAttributeValues_IntegerString_EmbeddedBadCharacter() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_UniqueIdentifier_Good

public void TestRepairAttributeValues_UniqueIdentifier_Good() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_UniqueIdentifier_Trim

public void TestRepairAttributeValues_UniqueIdentifier_Trim() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_UniqueIdentifier_TooLong

public void TestRepairAttributeValues_UniqueIdentifier_TooLong() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_UniqueIdentifier_BadTrailingSpace

public void TestRepairAttributeValues_UniqueIdentifier_BadTrailingSpace() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_UniqueIdentifier_EmbeddedBadCharacter

public void TestRepairAttributeValues_UniqueIdentifier_EmbeddedBadCharacter() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_AgeString_GoodYear

public void TestRepairAttributeValues_AgeString_GoodYear() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_AgeString_GoodMonth

public void TestRepairAttributeValues_AgeString_GoodMonth() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_AgeString_GoodWeek

public void TestRepairAttributeValues_AgeString_GoodWeek() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_AgeString_GoodDay

public void TestRepairAttributeValues_AgeString_GoodDay() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_AgeString_BadUnit

public void TestRepairAttributeValues_AgeString_BadUnit() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_AgeString_TooShort

public void TestRepairAttributeValues_AgeString_TooShort() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_AgeString_TooLong

public void TestRepairAttributeValues_AgeString_TooLong() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_Date_Good

public void TestRepairAttributeValues_Date_Good() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_Date_TooShort

public void TestRepairAttributeValues_Date_TooShort() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_Date_TooLong

public void TestRepairAttributeValues_Date_TooLong() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_Date_BadPeriods

public void TestRepairAttributeValues_Date_BadPeriods() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_Date_BadSlashes

public void TestRepairAttributeValues_Date_BadSlashes() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_DateTime_GoodWithTimezoneAndFullFraction

public void TestRepairAttributeValues_DateTime_GoodWithTimezoneAndFullFraction() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_DateTime_GoodWithNoTimezoneAndNoFraction

public void TestRepairAttributeValues_DateTime_GoodWithNoTimezoneAndNoFraction() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_DateTime_TooLong

public void TestRepairAttributeValues_DateTime_TooLong() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_DateTime_EmbeddedBadCharacter

public void TestRepairAttributeValues_DateTime_EmbeddedBadCharacter() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_Time_Good

public void TestRepairAttributeValues_Time_Good() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_Time_TooShort

public void TestRepairAttributeValues_Time_TooShort() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_Time_TooLong

public void TestRepairAttributeValues_Time_TooLong() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_Time_BadColons

public void TestRepairAttributeValues_Time_BadColons() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_UnlimitedCharacters_Good

public void TestRepairAttributeValues_UnlimitedCharacters_Good() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_UnlimitedCharacters_Trim

public void TestRepairAttributeValues_UnlimitedCharacters_Trim() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_UnlimitedCharacters_ControlCharacter

public void TestRepairAttributeValues_UnlimitedCharacters_ControlCharacter() throws Exception

Throws:
  `Exception`

### TestRepairAttributeValues_UnlimitedCharacters_EmbeddedBackslash

public void TestRepairAttributeValues_UnlimitedCharacters_EmbeddedBackslash() throws Exception

Throws:
  `Exception`